ConlluWordLine (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.conllu

## Class ConlluWordLine

- java.lang.Object
- - opennlp.tools.formats.conllu.ConlluWordLine

-     public class ConlluWordLine
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeprel()` Universal dependency relation to the HEAD (root iff HEAD = 0) or a defined language-specific subtype of one.
    `String` | `getDeps()` Enhanced dependency graph in the form of a list of head-deprel pairs.
    `String` | `getFeats()` Retrieve list of morphological features from the universal feature inventory or from a defined language-specific extension; underscore if not available.
    `String` | `getForm()` Retrieve the word form or punctuation symbol.
    `String` | `getHead()` Head of the current word, which is either a value of ID or zero (0).
    `String` | `getId()` Retrieves the word index.
    `String` | `getLemma()` Retrieve the lemma or stem of the word form.
    `String` | `getMisc()` Retrieve any other annotation.
    `String` | `getPosTag(ConlluTagset tagset)` Retrieve the Universal part-of-speech tag or the language-specific part-of-speech tag; underscore if not available.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public String getId()

      Retrieves the word index. An Integer starting at 1 for each new sentence; may be a range for multiword tokens; may be a decimal number for empty nodes.

    - #### getForm

          public String getForm()

      Retrieve the word form or punctuation symbol.

    - #### getLemma

          public String getLemma()

      Retrieve the lemma or stem of the word form.

    - #### getPosTag

          public String getPosTag(ConlluTagset tagset)

      Retrieve the Universal part-of-speech tag or the language-specific part-of-speech tag; underscore if not available.
      Parameters:
        `tagset` - the type of tag to retrieve, either universial (u) or language specific (x)

    - #### getFeats

          public String getFeats()

      Retrieve list of morphological features from the universal feature inventory or from a defined language-specific extension; underscore if not available.

    - #### getHead

          public String getHead()

      Head of the current word, which is either a value of ID or zero (0).

    - #### getDeprel

          public String getDeprel()

      Universal dependency relation to the HEAD (root iff HEAD = 0) or a defined language-specific subtype of one.

    - #### getDeps

          public String getDeps()

      Enhanced dependency graph in the form of a list of head-deprel pairs.

    - #### getMisc

          public String getMisc()

      Retrieve any other annotation.

Copyright © 2026 The Apache Software Foundation. All rights reserved.